pappso::FilterMorphoMin Class Reference

transform the trace into its minimum over a window More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMin:

## Public Member Functions

| FilterMorphoMin (std::size_t half_window_size)
| FilterMorphoMin (const FilterMorphoMin &other)
virtual | ~FilterMorphoMin ()
FilterMorphoMin & | operator= (const FilterMorphoMin &other)
double | getWindowValue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end) const override
std::size_t | getMinHalfEdgeWindows () const
Public Member Functions inherited from pappso::FilterMorphoWindowBase
| FilterMorphoWindowBase (std::size_t half_window_size)
| FilterMorphoWindowBase (const FilterMorphoWindowBase &other)
virtual | ~FilterMorphoWindowBase ()
FilterMorphoWindowBase & | operator= (const FilterMorphoWindowBase &other)
virtual Trace & | filter (Trace &data_points) const override
virtual std::size_t | getHalfWindowSize () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Additional Inherited Members

Protected Attributes inherited from pappso::FilterMorphoWindowBase
std::size_t | m_halfWindowSize = 0

## Detailed Description

transform the trace into its minimum over a window

Definition at line 98 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMin() [1/2]

FilterMorphoMin::FilterMorphoMin | ( | std::size_t | half_window_size | ) |

Definition at line 177 of file filtermorpho.cpp.

: FilterMorphoWindowBase(half_window_size)
{
}
pappso::FilterMorphoWindowBase::FilterMorphoWindowBase
FilterMorphoWindowBase(std::size_t half_window_size)
Definition: filtermorpho.cpp:36

## FilterMorphoMin() [2/2]

FilterMorphoMin::FilterMorphoMin | ( | const FilterMorphoMin & | other | ) |

Definition at line 181 of file filtermorpho.cpp.

: FilterMorphoWindowBase(other.m_halfWindowSize)
{
}
pappso::FilterMorphoWindowBase::m_halfWindowSize
std::size_t m_halfWindowSize
Definition: filtermorpho.h:43

## ~FilterMorphoMin()

virtual pappso::FilterMorphoMin::~FilterMorphoMin | ( |  | ) |

inline virtual

Definition at line 104 of file filtermorpho.h.

{};

## Member Function Documentation

## getMinHalfEdgeWindows()

std::size_t FilterMorphoMin::getMinHalfEdgeWindows | ( |  | ) | const

Definition at line 203 of file filtermorpho.cpp.

{
return m_halfWindowSize;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

## getWindowValue()

double FilterMorphoMin::getWindowValue | ( | std::vector< DataPoint >::const_iterator | begin,
|  | std::vector< DataPoint >::const_iterator | end
| ) |  | const

override virtual

Implements pappso::FilterMorphoWindowBase.

Definition at line 195 of file filtermorpho.cpp.

{
return minYDataPoint(begin, end)->y;
}
pappso::minYDataPoint
std::vector< DataPoint >::const_iterator minYDataPoint(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
Definition: trace.cpp:117

References pappso::minYDataPoint().

## operator=()

FilterMorphoMin & FilterMorphoMin::operator= | ( | const FilterMorphoMin & | other | ) |

Definition at line 187 of file filtermorpho.cpp.

{
m_halfWindowSize = other.m_halfWindowSize;
return *this;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp